Index: mibs/d-link/SINGLE-IP-MIB
===================================================================
--- mibs/d-link/SINGLE-IP-MIB	(revision 11288)
+++ mibs/d-link/SINGLE-IP-MIB	(working copy)
@@ -1,27 +1,36 @@
--- SingleIP-MIB v 0.01  2003/7/14 03:22
--- --------------------------------------------------------------------------------------
--- Revision 0.02 2004/1/13
--- remove swSingleIPSetMSStatus object
--- --------------------------------------------------------------------------------------
--- Revision 0.03 2004/4/26 by Scott Sung for project-x
--- [1]Add singleIPMSNotify,singleIPMSNotifyPrefix,swSingleIPMSColdStart ... swSingleIPMSPowerRecover
--- [2]Add singleIPNotifyBidings
--- [3]Add swSingleIPNeighborTable
--- [4]modify swSingleIPMSID SYNTAX  INTEGER (1..32) ;swSingleIPCaSID SYNTAX  INTEGER (1..100)
--- [5]modify swSingleIPHoldtime DEFVAL { 100 } ; swSingleIPTimeInterval SYNTAX  INTEGER (30..90) 
---    DEFVAL { 30 }
+-- -----------------------------------------------------------------------------
+-- MIB NAME : Single IP Management Common mib
+-- FILE NAME: SingleIP.mib
+-- DATE     : 2009/01/21
+-- VERSION  : 2.02
+-- PURPOSE  : To construct the MIB structure of Single IP management
+--            for proprietary enterprise
+-- -----------------------------------------------------------------------------
+-- MODIFICTION HISTORY:
+-- -----------------------------------------------------------------------------
+-- Version, Date, Author
+-- Description:
+--  [New Object]
+--  [Modification]
+-- Notes: (Requested by who and which project)
+--
+-- Version 2.02, 2009/01/21, Eli Lin
+-- [New Object]
+-- Add swSingleIPTrapMgmt and swSingleIPTrapStatus for enableing/disable the 
+-- trap function.
+-- Notes: Requested by Eli for project DES3028
+--
+-- Version 2.01, 2007/12/19, Jenny
+-- [New Object]
+-- 1.add object swSingleIPCSGroupName.
+-- Notes: Requested by Jenny for project DES3528
+--
+-- Version 2.00, 2007/03/27, Yedda
+-- This is the first formal version for universal MIB definition.
+-- -----------------------------------------------------------------------------
 
--- -------------------------------------------------------------
 SINGLE-IP-MIB DEFINITIONS ::= BEGIN
 
-
--- D-Link Common MIB   Single IP management module MIB      Ver 0.01
-
--- -------------------------------------------------------------
--- Single IP Management MIB
--- -------------------------------------------------------------
-
-
 IMPORTS
  	IpAddress
  	    FROM RFC1155-SMI
@@ -36,17 +45,15 @@
 
 	dlink-common-mgmt	FROM DLINK-ID-REC-MIB;
 
-
 swSingleIPMIB MODULE-IDENTITY
-    LAST-UPDATED "9911220000Z"
-    ORGANIZATION "Working Group"
+    LAST-UPDATED "0901210000Z"
+    ORGANIZATION "D-Link Corp."
     CONTACT-INFO
-        "  "
+        "http://support.dlink.com"
     DESCRIPTION
         "The Single IP management MIB."
     ::= { dlink-common-mgmt 8}
 
-
 swSingleIPMgmt OBJECT IDENTIFIER ::= { swSingleIPMIB 1 }
 
 swSingleIPInfo OBJECT IDENTIFIER ::= { swSingleIPMgmt 1 }
@@ -56,19 +63,15 @@
 -- swSingleIPCaSTable OBJECT IDENTIFIER ::= { swSingleIPMgmt 4 }
 -- swSingleIPGroupTable OBJECT IDENTIFIER ::= { swSingleIPMgmt 5 }
 
-
-
-
--- -------------------------------------------------------------
+-- -----------------------------------------------------------------------------
 -- swSingleIPInfo
--- -------------------------------------------------------------
-        
+-- -----------------------------------------------------------------------------
  swSingleIPVersion OBJECT-TYPE
         SYNTAX  DisplayString  (SIZE (0..64))
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "This object indicates the version of single IP management supported in the system."
+            "This object indicates the version of Single IP Management supported in the system."
         ::= { swSingleIPInfo 1}
 
  swSingleIPCapability OBJECT-TYPE
@@ -78,7 +81,7 @@
         DESCRIPTION
             "This object indicates the capability of the switch system."
         ::= { swSingleIPInfo 2}
-        
+
  swSingleIPPlatform OBJECT-TYPE
         SYNTAX  DisplayString  (SIZE (0..64))
         MAX-ACCESS  read-only
@@ -86,7 +89,7 @@
         DESCRIPTION
             "This object indicates the platform of the switch system."
         ::= { swSingleIPInfo 3}
- 
+
 -- swSingleIPSetMSStatus OBJECT-TYPE
 --        SYNTAX  INTEGER {
 --        			other(0),
@@ -103,11 +106,11 @@
 --        STATUS  current
 --        DESCRIPTION
 --            "This object indicates the process status when set swSingleIPMSTable."
---        ::= { swSingleIPInfo 4}        
--- -------------------------------------------------------------
+--        ::= { swSingleIPInfo 4}
+
+-- -----------------------------------------------------------------------------
 -- swSingleIPCtrl
--- -------------------------------------------------------------       
-
+-- -----------------------------------------------------------------------------
  swSingleIPAdmin OBJECT-TYPE
         SYNTAX  INTEGER {
                     other(1),
@@ -117,9 +120,9 @@
         MAX-ACCESS  read-write
         STATUS  current
         DESCRIPTION
-            "This object indicates Single IP management is enabled or disabled on the system."
+            "This object indicates Single IP Management is enabled or disabled on the system."
         ::= { swSingleIPCtrl 1}
- 
+
  swSingleIPRoleState OBJECT-TYPE
         SYNTAX  INTEGER {
                     cs(1),
@@ -131,57 +134,82 @@
         DESCRIPTION
             "This object indicates the role state of the switch system."
         ::= { swSingleIPCtrl 2}
-                        
-        
+
  swSingleIPHoldtime OBJECT-TYPE
-        SYNTAX  INTEGER (100..255) 
+        SYNTAX  INTEGER (100..255)
         MAX-ACCESS  read-write
         STATUS  current
         DESCRIPTION
-            "This object indicate the holdtime of the switch in second .
-             default value is 180 , maximum value is 255 , minimum value is 100. 
-			 "
+            "This object indicate the holdtime of the switch in seconds.
+             The default value is 100, the maximum value is 255, and the minimum value is 100."
         DEFVAL { 100 }
-        ::= { swSingleIPCtrl 3 }        
-        
+        ::= { swSingleIPCtrl 3 }
+
  swSingleIPTimeInterval OBJECT-TYPE
         SYNTAX  INTEGER (30..90)
         MAX-ACCESS  read-write
         STATUS  current
         DESCRIPTION
-            "This object indicate the time interval of the switch in second to periodical send out 
-             Single IP protocol control packet.
-             default value is 60 , maximum value is 120 , minimum value is 30  . 
-             The swSingleIPTimeInterval will always <= swSingleIPHoldtime/2
-			 "
+            "This object indicates the time interval of the switch in seconds to
+             periodically send out Single IP protocol control packets.
+             The default value is 60, the maximum value is 120, and the minimum value is 30.
+             The swSingleIPTimeInterval will always <= swSingleIPHoldtime/2."
         DEFVAL { 30 }
-        ::= { swSingleIPCtrl 4 }           
-        
--- -------------------------------------------------------------
+        ::= { swSingleIPCtrl 4 }
+
+ swSingleIPCSGroupName OBJECT-TYPE
+ 	SYNTAX	DisplayString  (SIZE (0..64))
+ 	MAX-ACCESS read-write
+ 	STATUS current
+ 	DESCRIPTION
+ 		"This object is used to configure the group name for the commander switch."
+ 	::= { swSingleIPCtrl 5 }
+
+-- -----------------------------------------------------------------------------
+-- swSingleIPTrapMgmt
+-- -----------------------------------------------------------------------------
+  
+  swSingleIPTrapMgmt OBJECT IDENTIFIER ::= { swSingleIPCtrl 6 }
+
+  swSingleIPTrapStatus OBJECT-TYPE
+    	SYNTAX  INTEGER {
+               enabled(1),
+               disabled(2)
+            }
+    	MAX-ACCESS  read-write
+    	STATUS  current
+    	DESCRIPTION
+            "When enabled (1), whenever the commander detects a member's trap
+             event, a trap will be sent out."
+    ::= { swSingleIPTrapMgmt 1 }
+              	
+-- -----------------------------------------------------------------------------
 -- swSingleIPMSTable
--- -------------------------------------------------------------           
-      
+-- -----------------------------------------------------------------------------
+
     swSingleIPMSTable OBJECT-TYPE
         SYNTAX  SEQUENCE OF SwSingleIPMSEntry
         MAX-ACCESS  not-accessible
         STATUS  current
         DESCRIPTION
-            "This table contain information of member switchs which belong to the 
-            single IP management group  .
-             A member will be joined into the group by row creation . Before a switch joined into
-             a group as a member switch , it must exist in the candidate table list .  "
+            "This table contains information about member switches which belong to the
+            single IP management group.
+             A member will be joined into the group by row creation.
+             Before a switch is joined into a group as a member switch,
+             it must exist in the candidate table list."
         ::= { swSingleIPMgmt 3 }
-        
+
     swSingleIPMSEntry OBJECT-TYPE
-        SYNTAX  SwSingleIPMSEntry 
+        SYNTAX  SwSingleIPMSEntry
         MAX-ACCESS  not-accessible
         STATUS  current
         DESCRIPTION
-            "A list of information about member switchs belongs to the single IP management group."
+            "A list of information about member switches that belong to the single IP
+             management group."
         INDEX  { swSingleIPMSID }
         ::= { swSingleIPMSTable 1 }
-      
-    SwSingleIPMSEntry ::= 
+
+    SwSingleIPMSEntry ::=
         SEQUENCE {
             swSingleIPMSID
                 INTEGER,
@@ -190,19 +218,19 @@
             swSingleIPMSMacAddr
                 MacAddress,
 			swSingleIPMSFirmwareVer
-                DisplayString,                
+                DisplayString,
             swSingleIPMSCapability
                 DisplayString,
             swSingleIPMSPlatform
-                DisplayString,             
+                DisplayString,
             swSingleIPMSHoldtime
-                INTEGER,       
+                INTEGER,
 			swSingleIPMSCasSource
-                INTEGER,       
+                INTEGER,
 			swSingleIPMSPassword
-                OCTET STRING,       
+                OCTET STRING,
             swSingleIPMSRowStatus
-                RowStatus                                                         
+                RowStatus
         }
     swSingleIPMSID OBJECT-TYPE
         SYNTAX  INTEGER (1..32)
@@ -209,110 +237,114 @@
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "The ID of the member switch ."
+            "The ID of the member switch. When creating a SwSingleIPMSEntry entry,
+             this object should fill a value between 1 to 32, but will not be
+             used during the create process (Note: The MS-ID is assigned by a Single IP
+             engine). The value of this object will be the correct member ID when
+             query/read."
         ::= { swSingleIPMSEntry 1 }
-    
+
     swSingleIPMSDeviceName OBJECT-TYPE
         SYNTAX  DisplayString (SIZE (0..64))
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies that the name of switch ."
-        ::= { swSingleIPMSEntry 2 }        
-  
-        
+            "Specifies the name of switch."
+        ::= { swSingleIPMSEntry 2 }
+
     swSingleIPMSMacAddr OBJECT-TYPE
         SYNTAX  MacAddress
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "This object Specifies the MAC address of the member switch."
-        ::= { swSingleIPMSEntry 3 }     
-           
-        
+            "This object specifies the MAC address of the member switch."
+        ::= { swSingleIPMSEntry 3 }
+
     swSingleIPMSFirmwareVer OBJECT-TYPE
         SYNTAX  DisplayString (SIZE (0..64))
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies the firmware version of the switch ."
-        ::= { swSingleIPMSEntry 4 }     
-        
+            "Specifies the firmware version of the switch."
+        ::= { swSingleIPMSEntry 4 }
+
     swSingleIPMSCapability OBJECT-TYPE
         SYNTAX  DisplayString (SIZE (0..64))
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies the Capability of the switch ."
-        ::= { swSingleIPMSEntry 5 }     
-        
+            "Specifies the capability of the switch."
+        ::= { swSingleIPMSEntry 5 }
+
     swSingleIPMSPlatform OBJECT-TYPE
         SYNTAX   DisplayString (SIZE (0..64))
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies the platform of the switch ."
-        ::= { swSingleIPMSEntry 6 }  
-        
+            "Specifies the platform of the switch."
+        ::= { swSingleIPMSEntry 6 }
+
     swSingleIPMSHoldtime OBJECT-TYPE
-        SYNTAX  INTEGER 
+        SYNTAX  INTEGER
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies the holdtime of Single IP management ptotocol send by  this member switch .
-             " 
-        ::= { swSingleIPMSEntry 7 }        
-    
+            "Specifies the holdtime of Single IP Management protocol sent by
+            this member switch."
+        ::= { swSingleIPMSEntry 7 }
+
     swSingleIPMSCasSource OBJECT-TYPE
-        SYNTAX  INTEGER 
+        SYNTAX  INTEGER
         MAX-ACCESS  read-create
         STATUS  current
         DESCRIPTION
-            "Specifies the CaS id when create MS entry. The object is used 
-            only when create swSingleIPMSEntry. The value always shows 0." 
-        ::= { swSingleIPMSEntry 8 }        
-            
+            "Specifies the CaS ID when creating the MS entry. The object is used
+            only when creating the swSingleIPMSEntry. The value always shows 0."
+        ::= { swSingleIPMSEntry 8 }
+
     swSingleIPMSPassword OBJECT-TYPE
         SYNTAX  OCTET STRING (SIZE (0..16))
         MAX-ACCESS  read-create
         STATUS  current
         DESCRIPTION
-            "Specifies the Cas password when create MS entry. The object is used 
-            only when create swSingleIPMSEntry. The value always shows zero length string."
+            "Specifies the CaS password when creating the MS entry. The object is used
+            only when creating the swSingleIPMSEntry. The value always shows a zero length string."
         ::= { swSingleIPMSEntry 9}
-                    
-    swSingleIPMSRowStatus OBJECT-TYPE 
+
+    swSingleIPMSRowStatus OBJECT-TYPE
         SYNTAX  RowStatus
         MAX-ACCESS  read-create
         STATUS  current
         DESCRIPTION
-            "This object indicates the status of this entry. 
+            "This object indicates the status of this entry.
             Create means set CaS to MS, and DESTROY means set MS to CaS"
-        ::= { swSingleIPMSEntry 10 }                
-        
--- -------------------------------------------------------------
+        ::= { swSingleIPMSEntry 10 }
+
+-- -----------------------------------------------------------------------------
 -- swSingleIPCaSTable
--- -------------------------------------------------------------   
+-- -----------------------------------------------------------------------------
    swSingleIPCaSTable OBJECT-TYPE
         SYNTAX  SEQUENCE OF SwSingleIPCaSEntry
         MAX-ACCESS  not-accessible
         STATUS  current
         DESCRIPTION
-            "This table contain information of candidate switchs.
-             This table is a read only table list ,all information about candidate switchs will 
-             maintain automatically by Single IP topology discovery protocol .  "
+            "This table contains information about candidate switches.
+             This table is a read-only table listing all information about candidate
+             switches that will be maintained automatically by the Single IP topology discovery
+             protocol.  "
         ::= { swSingleIPMgmt 4 }
-        
+
     swSingleIPCaSEntry OBJECT-TYPE
-        SYNTAX  SwSingleIPCaSEntry 
+        SYNTAX  SwSingleIPCaSEntry
         MAX-ACCESS  not-accessible
         STATUS  current
         DESCRIPTION
-            "A list of information about candidate switchs belongs to the single IP management group."
+            "A list of information about candidate switches that belong to the Single
+             IP Management group."
         INDEX  { swSingleIPCaSID }
         ::= { swSingleIPCaSTable 1 }
-      
-    SwSingleIPCaSEntry ::= 
+
+    SwSingleIPCaSEntry ::=
         SEQUENCE {
             swSingleIPCaSID
                 INTEGER,
@@ -321,11 +353,11 @@
             swSingleIPCaSMacAddr
                 MacAddress,
 			swSingleIPCaSFirmwareVer
-                DisplayString,                
+                DisplayString,
             swSingleIPCaSCapability
                 DisplayString,
             swSingleIPCaSPlatform
-                DisplayString,             
+                DisplayString,
             swSingleIPCaSHoldtime
                 INTEGER
         }
@@ -334,223 +366,216 @@
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "The ID of the candidate switchs in the LAN learned by the command switch  ."
+            "The ID of the candidate switches in the LAN learned by the commander switch."
         ::= { swSingleIPCaSEntry 1 }
-    
+
     swSingleIPCaSDeviceName OBJECT-TYPE
         SYNTAX  DisplayString (SIZE (0..64))
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies that the name of switch ."
-        ::= { swSingleIPCaSEntry 2 }        
-  
-        
+            "Specifies the name of switch."
+        ::= { swSingleIPCaSEntry 2 }
+
     swSingleIPCaSMacAddr OBJECT-TYPE
         SYNTAX  MacAddress
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "This object Specifies the MAC address of the candidate switch."
-        ::= { swSingleIPCaSEntry 3 }     
-           
-        
+            "This object specifies the MAC address of the candidate switch."
+        ::= { swSingleIPCaSEntry 3 }
+
     swSingleIPCaSFirmwareVer OBJECT-TYPE
         SYNTAX  DisplayString (SIZE (0..64))
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies the firmware version of the switch ."
-        ::= { swSingleIPCaSEntry 4 }     
-        
+            "Specifies the firmware version of the switch."
+        ::= { swSingleIPCaSEntry 4 }
+
     swSingleIPCaSCapability OBJECT-TYPE
         SYNTAX  DisplayString (SIZE (0..64))
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies the Capability of the switch ."
-        ::= { swSingleIPCaSEntry 5 }     
-        
+            "Specifies the capability of the switch."
+        ::= { swSingleIPCaSEntry 5 }
+
     swSingleIPCaSPlatform OBJECT-TYPE
         SYNTAX   DisplayString (SIZE (0..64))
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies the platform of the switch ."
-        ::= { swSingleIPCaSEntry 6 }  
-        
+            "Specifies the platform of the switch."
+        ::= { swSingleIPCaSEntry 6 }
+
     swSingleIPCaSHoldtime OBJECT-TYPE
-        SYNTAX  INTEGER 
+        SYNTAX  INTEGER
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies the holdtime of Single IP management ptotocol send by  this candidate switch .
-             " 
-        ::= { swSingleIPCaSEntry 7 }        
-        
-                
--- -------------------------------------------------------------
+            "Specifies the holdtime of the Single IP Management protocol
+             sent by this candidate switch."
+        ::= { swSingleIPCaSEntry 7 }
+
+-- -----------------------------------------------------------------------------
 -- swSingleIPGroupTable
--- -------------------------------------------------------------
-
+-- -----------------------------------------------------------------------------
    swSingleIPGroupTable OBJECT-TYPE
         SYNTAX  SEQUENCE OF SwSingleIPGroupEntry
         MAX-ACCESS  not-accessible
         STATUS  current
         DESCRIPTION
-            "This table contain information of Single IP manaement groups learned by the Command 
-             switch .
-             This table is a read only table list ,all information about Single IP groups will 
-             maintain automatically by Single IP topology discovery protocol .  "
+            "This table contains information about Single IP Management groups learned by the
+             commander switch.
+             This table is a read-only table listing all information about the Single IP groups that will
+             maintained automatically by Single IP topology discovery protocol."
         ::= { swSingleIPMgmt 5 }
-        
+
     swSingleIPGroupEntry OBJECT-TYPE
-        SYNTAX  SwSingleIPGroupEntry 
+        SYNTAX  SwSingleIPGroupEntry
         MAX-ACCESS  not-accessible
         STATUS  current
         DESCRIPTION
-            "A list of information about single IP management groups."
+            "A list of information about Single IP Management groups."
         INDEX  { swSingleIPGroupMacAddr }
         ::= { swSingleIPGroupTable 1 }
-      
-    SwSingleIPGroupEntry ::= 
+
+    SwSingleIPGroupEntry ::=
         SEQUENCE {
             swSingleIPGroupMacAddr
                 MacAddress,
             swSingleIPGroupName
-                DisplayString,                             
+                DisplayString,
             swSingleIPGroupDeviceName
                 DisplayString,
             swSingleIPGroupMSNumber
-                INTEGER,                    
+                INTEGER,
 			swSingleIPGroupFirmwareVer
-                DisplayString,                
+                DisplayString,
             swSingleIPGroupCapability
                 DisplayString,
             swSingleIPGroupPlatform
-                DisplayString,             
+                DisplayString,
             swSingleIPGroupHoldtime
-                INTEGER       
-                                                      
+                INTEGER
         }
-    
+
     swSingleIPGroupMacAddr OBJECT-TYPE
         SYNTAX  MacAddress
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "This object Specifies the MAC address of the command switch."
-        ::= { swSingleIPGroupEntry 1 }         
-        
+            "This object specifies the MAC address of the commander switch."
+        ::= { swSingleIPGroupEntry 1 }
+
     swSingleIPGroupName OBJECT-TYPE
         SYNTAX  DisplayString (SIZE (0..64))
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies that the name of the Single IP management group ."
-        ::= { swSingleIPGroupEntry 2 }            
-    
+            "Specifies the name of the Single IP Management group."
+        ::= { swSingleIPGroupEntry 2 }
+
     swSingleIPGroupDeviceName OBJECT-TYPE
         SYNTAX  DisplayString (SIZE (0..64))
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies that the name of command switch of the group ."
-        ::= { swSingleIPGroupEntry 3 }        
-                      
+            "Specifies the name of commander switch of the group."
+        ::= { swSingleIPGroupEntry 3 }
+
     swSingleIPGroupMSNumber OBJECT-TYPE
-        SYNTAX  INTEGER 
+        SYNTAX  INTEGER
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies the member switch number of the group .
-             " 
-        ::= { swSingleIPGroupEntry 4 }     
+            "Specifies the member switch number of the group.
+             "
+        ::= { swSingleIPGroupEntry 4 }
 
-        
     swSingleIPGroupFirmwareVer OBJECT-TYPE
         SYNTAX  DisplayString (SIZE (0..64))
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies the firmware version of the switch ."
-        ::= { swSingleIPGroupEntry 5 }   
-          
-        
+            "Specifies the firmware version of the switch."
+        ::= { swSingleIPGroupEntry 5 }
+
     swSingleIPGroupCapability OBJECT-TYPE
         SYNTAX  DisplayString (SIZE (0..64))
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies the Capability of the switch ."
-        ::= { swSingleIPGroupEntry 6 }     
-        
+            "Specifies the capability of the switch."
+        ::= { swSingleIPGroupEntry 6 }
+
     swSingleIPGroupPlatform OBJECT-TYPE
         SYNTAX   DisplayString (SIZE (0..64))
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies the platform of the switch ."
-        ::= { swSingleIPGroupEntry 7 }  
-        
+            "Specifies the platform of the switch."
+        ::= { swSingleIPGroupEntry 7 }
+
     swSingleIPGroupHoldtime OBJECT-TYPE
-        SYNTAX  INTEGER 
+        SYNTAX  INTEGER
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies the holdtime of Single IP management ptotocol send by  this command switch .
-             " 
-        ::= { swSingleIPGroupEntry 8 }        
+            "Specifies the holdtime of the Single IP Management protocol sent by this commander
+             switch."
+        ::= { swSingleIPGroupEntry 8 }
 
--- -------------------------------------------------------------
+-- -----------------------------------------------------------------------------
 -- swSingleIPNeighborTable
--- -------------------------------------------------------------
-
+-- -----------------------------------------------------------------------------
    swSingleIPNeighborTable OBJECT-TYPE
         SYNTAX  SEQUENCE OF SwSingleIPNeighborEntry
         MAX-ACCESS  not-accessible
         STATUS  current
         DESCRIPTION
-            "This table contain information of Single IP manaement Neighbors learned by the switch .
-             This table is a read only table list ,all information about Single IP Neighbors will 
-             maintain automatically by Single IP topology protocol .  "
+            "This table contains information about Single IP Management neighbors learned by the
+             switch.
+             This table is a read-only table listing all the information about Single IP neighbors
+that will be maintained automatically by the Single IP topology protocol."
         ::= { swSingleIPMgmt 6 }
-        
+
     swSingleIPNeighborEntry OBJECT-TYPE
-        SYNTAX  SwSingleIPNeighborEntry 
+        SYNTAX  SwSingleIPNeighborEntry
         MAX-ACCESS  not-accessible
         STATUS  current
         DESCRIPTION
-            "A list of information about single IP management Neighbors."
+            "A list of information about Single IP Management neighbors."
         INDEX  { swSingleIPNBReceivedPort,swSingleIPNBMacAddr }
         ::= { swSingleIPNeighborTable 1 }
-      
-    SwSingleIPNeighborEntry ::= 
+
+    SwSingleIPNeighborEntry ::=
         SEQUENCE {
         	swSingleIPNBReceivedPort
-        		INTEGER, 
+        		INTEGER,
             swSingleIPNBMacAddr
                 MacAddress,
             swSingleIPNBRoleState
-                INTEGER                                                                      
+                INTEGER
         }
-    
+
     swSingleIPNBReceivedPort OBJECT-TYPE
-        SYNTAX  INTEGER 
+        SYNTAX  INTEGER
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "Specifies the received port of the Neighbor switch." 
-        ::= { swSingleIPNeighborEntry 1 }         
-    
+            "Specifies the received port of the neighbor switch."
+        ::= { swSingleIPNeighborEntry 1 }
+
     swSingleIPNBMacAddr OBJECT-TYPE
         SYNTAX  MacAddress
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "This object Specifies the MAC address of the Neighbor switch."
-        ::= { swSingleIPNeighborEntry 2 }         
-                            
+            "This object specifies the MAC address of the neighbor switch."
+        ::= { swSingleIPNeighborEntry 2 }
+
     swSingleIPNBRoleState OBJECT-TYPE
         SYNTAX  INTEGER {
                     commander(1),
